<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AbsenceItem_V2 StructType
 * @subpackage Structs
 */
class AbsenceItem_V2 extends AbstractStructBase
{
    /**
     * The Driver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierPerson_V2
     */
    public $Driver;
    /**
     * The DayCodes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDayCode_V2
     */
    public $DayCodes;
    /**
     * Constructor method for AbsenceItem_V2
     * @uses AbsenceItem_V2::setDriver()
     * @uses AbsenceItem_V2::setDayCodes()
     * @param \StructType\IdentifierPerson_V2 $driver
     * @param \ArrayType\ArrayOfDayCode_V2 $dayCodes
     */
    public function __construct(\StructType\IdentifierPerson_V2 $driver = null, \ArrayType\ArrayOfDayCode_V2 $dayCodes = null)
    {
        $this
            ->setDriver($driver)
            ->setDayCodes($dayCodes);
    }
    /**
     * Get Driver value
     * @return \StructType\IdentifierPerson_V2|null
     */
    public function getDriver()
    {
        return $this->Driver;
    }
    /**
     * Set Driver value
     * @param \StructType\IdentifierPerson_V2 $driver
     * @return \StructType\AbsenceItem_V2
     */
    public function setDriver(\StructType\IdentifierPerson_V2 $driver = null)
    {
        $this->Driver = $driver;
        return $this;
    }
    /**
     * Get DayCodes value
     * @return \ArrayType\ArrayOfDayCode_V2|null
     */
    public function getDayCodes()
    {
        return $this->DayCodes;
    }
    /**
     * Set DayCodes value
     * @param \ArrayType\ArrayOfDayCode_V2 $dayCodes
     * @return \StructType\AbsenceItem_V2
     */
    public function setDayCodes(\ArrayType\ArrayOfDayCode_V2 $dayCodes = null)
    {
        $this->DayCodes = $dayCodes;
        return $this;
    }
}
